
% get list of all possible triliteral roots
load ../experiments/words allwords

% get assessor parameters
load ../assessor/assessor_params W1 b1 b2 W2

% 28^3
numwords=size(allwords,1);

% get output of each node on each word
word_values=sigmoid(W1*allwords'+repmat(b1,1,numwords));
% multiply to get positive for good words, negative for bad...
word_values=(repmat(W2',1,numwords).*word_values)';

% output of output node
output_values=sigmoid(sum(word_values,2)+b2);

% correlation between OCP violation and hidden node activation
corr_table_hidden=corr(-getocpviol(allwords),word_values )
% correlation between OCP violation and output node activation
corr_table_output=corr(-getocpviol(allwords),output_values )