% this function takes a string of length 84 (corresponding to three
% consonants) and converts each string of 28 into a localist representation
% of a consonant

function out=round_to_word(input)

inputlength=84;
segmentlength=inputlength/3;

numwords=size(input,1);


if size(input,2)~=inputlength
  error('input is the wrong length')
end

out=zeros(numwords,inputlength);

for i=0:2
  inds=(1:segmentlength)+i*segmentlength;
  [m,j]=max(input(:,inds)') ;
  outseg=sparse(1:numwords,j,ones(numwords,1),numwords,segmentlength);
  out(1:numwords,inds)=outseg;
end



